Ogre::GLCopyingRTTManager Class Reference

Simple, copying manager/factory for RenderTextures. More...

`#include <OgreGLRenderTexture.h>`

Inheritance diagram for Ogre::GLCopyingRTTManager:
[legend]

List of all members.

## Public Member Functions

| GLCopyingRTTManager ()
virtual | ~GLCopyingRTTManager ()
virtual RenderTexture * | createRenderTexture (const String &name, const GLSurfaceDesc &target, bool writeGamma, uint fsaa)
virtual bool | checkFormat (PixelFormat format)
virtual void | bind (RenderTarget *target)
virtual void | unbind (RenderTarget *target)
virtual void | getBestDepthStencil (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target.
virtual PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format.

## Static Public Member Functions

static GLRTTManager & | getSingleton (void)
static GLRTTManager * | getSingletonPtr (void)

## Static Protected Attributes

static GLRTTManager * | msSingleton

## Detailed Description

Simple, copying manager/factory for RenderTextures.

This is only used as the last fallback if both PBuffers and FBOs aren't supported.

Definition at line 117 of file OgreGLRenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLCopyingRTTManager::GLCopyingRTTManager | ( |  | ) |

virtual Ogre::GLCopyingRTTManager::~GLCopyingRTTManager | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::GLCopyingRTTManager::bind | ( | RenderTarget * | target | ) | `[virtual]`

Bind a certain render target.

Implements Ogre::GLRTTManager.

virtual bool Ogre::GLCopyingRTTManager::checkFormat | ( | PixelFormat | format | ) | `[virtual]`

Check if a certain format is usable as rendertexture format.

Implements Ogre::GLRTTManager.

virtual MultiRenderTarget* Ogre::GLRTTManager::createMultiRenderTarget | ( | const String & | name | ) | `[virtual, inherited]`

Create a multi render target.

Reimplemented in Ogre::GLFBOManager.

virtual RenderTexture* Ogre::GLCopyingRTTManager::createRenderTexture | ( | const String & | name,
|  | const GLSurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa
| ) |  | `[virtual]`

Create a texture rendertarget object.

Implements Ogre::GLRTTManager.

virtual void Ogre::GLRTTManager::getBestDepthStencil | ( | GLenum | internalFormat,
|  | GLenum * | depthFormat,
|  | GLenum * | stencilFormat
| ) |  | `[virtual, inherited]`

Reimplemented in Ogre::GLFBOManager.

Definition at line 87 of file OgreGLRenderTexture.h.

References GL_NONE.

static GLRTTManager & Ogre::Singleton< GLRTTManager >::getSingleton | ( | void |  | ) | `[static, inherited]`

Definition at line 90 of file OgreSingleton.h.

static GLRTTManager * Ogre::Singleton< GLRTTManager >::getSingletonPtr | ( | void |  | ) | `[static, inherited]`

Definition at line 92 of file OgreSingleton.h.

virtual PixelFormat Ogre::GLRTTManager::getSupportedAlternative | ( | PixelFormat | format | ) | `[virtual, inherited]`

Get the closest supported alternative format.

If format is supported, returns format.

virtual void Ogre::GLCopyingRTTManager::unbind | ( | RenderTarget * | target | ) | `[virtual]`

Unbind a certain render target.

This is called before binding another RenderTarget, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used.

Implements Ogre::GLRTTManager.

## Member Data Documentation

GLRTTManager * Ogre::Singleton< GLRTTManager >::msSingleton`[static, protected, inherited]`

Definition at line 75 of file OgreSingleton.h.

The documentation for this class was generated from the following file:

- OgreGLRenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:53